  function targMap = targDataMap(),

  ;%***********************
  ;% Create Parameter Map *
  ;%***********************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 1;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc paramMap
    ;%
    paramMap.nSections           = nTotSects;
    paramMap.sectIdxOffset       = sectIdxOffset;
      paramMap.sections(nTotSects) = dumSection; %prealloc
    paramMap.nTotData            = -1;
    
    ;%
    ;% Auto data (rtP)
    ;%
      section.nData     = 76;
      section.data(76)  = dumData; %prealloc
      
	  ;% rtP.Lmag
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.Lman
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.PCSA
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtP.audition_delay_mean
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtP.audition_delay_variance
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtP.button_depth
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtP.button_wide
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtP.event_activation_point
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtP.finger_radius
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtP.push_begin_height
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtP.tactition_delay_mean
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 10;
	
	  ;% rtP.tactition_delay_variance
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 11;
	
	  ;% rtP.vision_delay_mean
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 12;
	
	  ;% rtP.vision_delay_variance
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 13;
	
	  ;% rtP.Fingerpulpspringanddamper_b_contact
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 14;
	
	  ;% rtP.Fingerpulpspringanddamper_k_contact
	  section.data(16).logicalSrcIdx = 15;
	  section.data(16).dtTransOffset = 15;
	
	  ;% rtP.Smoothstep_max_out
	  section.data(17).logicalSrcIdx = 16;
	  section.data(17).dtTransOffset = 16;
	
	  ;% rtP.Smoothstep_min_out
	  section.data(18).logicalSrcIdx = 17;
	  section.data(18).dtTransOffset = 17;
	
	  ;% rtP.Nonlinear_pen_exp
	  section.data(19).logicalSrcIdx = 18;
	  section.data(19).dtTransOffset = 18;
	
	  ;% rtP.Nonlinear_pen_full_damping
	  section.data(20).logicalSrcIdx = 19;
	  section.data(20).dtTransOffset = 19;
	
	  ;% rtP.Smoothstep_step_start
	  section.data(21).logicalSrcIdx = 20;
	  section.data(21).dtTransOffset = 20;
	
	  ;% rtP.Saturation_UpperSat
	  section.data(22).logicalSrcIdx = 21;
	  section.data(22).dtTransOffset = 21;
	
	  ;% rtP.Saturation_LowerSat
	  section.data(23).logicalSrcIdx = 22;
	  section.data(23).dtTransOffset = 22;
	
	  ;% rtP.Constant_Value
	  section.data(24).logicalSrcIdx = 23;
	  section.data(24).dtTransOffset = 23;
	
	  ;% rtP.Gain_Gain
	  section.data(25).logicalSrcIdx = 24;
	  section.data(25).dtTransOffset = 24;
	
	  ;% rtP.Constant1_Value
	  section.data(26).logicalSrcIdx = 25;
	  section.data(26).dtTransOffset = 25;
	
	  ;% rtP.Constant_Value_ezbvxkm0ar
	  section.data(27).logicalSrcIdx = 26;
	  section.data(27).dtTransOffset = 26;
	
	  ;% rtP.Components_Gain
	  section.data(28).logicalSrcIdx = 27;
	  section.data(28).dtTransOffset = 27;
	
	  ;% rtP.Constant_Value_jslrqyekbt
	  section.data(29).logicalSrcIdx = 28;
	  section.data(29).dtTransOffset = 29;
	
	  ;% rtP.Gain_Gain_m4a4dchbue
	  section.data(30).logicalSrcIdx = 29;
	  section.data(30).dtTransOffset = 30;
	
	  ;% rtP.Constant_Value_clsubbfyrf
	  section.data(31).logicalSrcIdx = 30;
	  section.data(31).dtTransOffset = 31;
	
	  ;% rtP.Zeros1_Value
	  section.data(32).logicalSrcIdx = 31;
	  section.data(32).dtTransOffset = 32;
	
	  ;% rtP.Zeros_Value
	  section.data(33).logicalSrcIdx = 32;
	  section.data(33).dtTransOffset = 34;
	
	  ;% rtP.RandomVision_Seed
	  section.data(34).logicalSrcIdx = 33;
	  section.data(34).dtTransOffset = 40;
	
	  ;% rtP.Constant_Value_jz2p0lxylj
	  section.data(35).logicalSrcIdx = 34;
	  section.data(35).dtTransOffset = 41;
	
	  ;% rtP.Switch3_Threshold
	  section.data(36).logicalSrcIdx = 35;
	  section.data(36).dtTransOffset = 42;
	
	  ;% rtP.VariableTimeDelay_MaxDelay
	  section.data(37).logicalSrcIdx = 36;
	  section.data(37).dtTransOffset = 43;
	
	  ;% rtP.VariableTimeDelay_InitOutput
	  section.data(38).logicalSrcIdx = 37;
	  section.data(38).dtTransOffset = 44;
	
	  ;% rtP.DetectEventwiththreshold_Offset
	  section.data(39).logicalSrcIdx = 38;
	  section.data(39).dtTransOffset = 45;
	
	  ;% rtP.Memory_X0
	  section.data(40).logicalSrcIdx = 39;
	  section.data(40).dtTransOffset = 46;
	
	  ;% rtP.RandomAudition_Seed
	  section.data(41).logicalSrcIdx = 40;
	  section.data(41).dtTransOffset = 47;
	
	  ;% rtP.Switch4_Threshold
	  section.data(42).logicalSrcIdx = 41;
	  section.data(42).dtTransOffset = 48;
	
	  ;% rtP.VariableTimeDelay1_MaxDelay
	  section.data(43).logicalSrcIdx = 42;
	  section.data(43).dtTransOffset = 49;
	
	  ;% rtP.VariableTimeDelay1_InitOutput
	  section.data(44).logicalSrcIdx = 43;
	  section.data(44).dtTransOffset = 50;
	
	  ;% rtP.DetectEventwiththreshold1_Offset
	  section.data(45).logicalSrcIdx = 44;
	  section.data(45).dtTransOffset = 51;
	
	  ;% rtP.Memory1_X0
	  section.data(46).logicalSrcIdx = 45;
	  section.data(46).dtTransOffset = 52;
	
	  ;% rtP.RandomTactition_Seed
	  section.data(47).logicalSrcIdx = 46;
	  section.data(47).dtTransOffset = 53;
	
	  ;% rtP.Switch5_Threshold
	  section.data(48).logicalSrcIdx = 47;
	  section.data(48).dtTransOffset = 54;
	
	  ;% rtP.VariableTimeDelay2_MaxDelay
	  section.data(49).logicalSrcIdx = 48;
	  section.data(49).dtTransOffset = 55;
	
	  ;% rtP.VariableTimeDelay2_InitOutput
	  section.data(50).logicalSrcIdx = 49;
	  section.data(50).dtTransOffset = 56;
	
	  ;% rtP.DetectEventwiththreshold2_Offset
	  section.data(51).logicalSrcIdx = 50;
	  section.data(51).dtTransOffset = 57;
	
	  ;% rtP.Memory2_X0
	  section.data(52).logicalSrcIdx = 51;
	  section.data(52).dtTransOffset = 58;
	
	  ;% rtP.Goalonsettime_Value
	  section.data(53).logicalSrcIdx = 52;
	  section.data(53).dtTransOffset = 59;
	
	  ;% rtP.Memory_X0_bd0seodo2d
	  section.data(54).logicalSrcIdx = 53;
	  section.data(54).dtTransOffset = 60;
	
	  ;% rtP.Agonistsignal_Amp
	  section.data(55).logicalSrcIdx = 54;
	  section.data(55).dtTransOffset = 61;
	
	  ;% rtP.Agonistsignal_Period
	  section.data(56).logicalSrcIdx = 55;
	  section.data(56).dtTransOffset = 62;
	
	  ;% rtP.Agonistsignal_Duty
	  section.data(57).logicalSrcIdx = 56;
	  section.data(57).dtTransOffset = 63;
	
	  ;% rtP.Agonistsignal_PhaseDelay
	  section.data(58).logicalSrcIdx = 57;
	  section.data(58).dtTransOffset = 64;
	
	  ;% rtP.Antagonistsignal_Amp
	  section.data(59).logicalSrcIdx = 58;
	  section.data(59).dtTransOffset = 65;
	
	  ;% rtP.Antagonistsignal_Period
	  section.data(60).logicalSrcIdx = 59;
	  section.data(60).dtTransOffset = 66;
	
	  ;% rtP.Antagonistsignal_Duty
	  section.data(61).logicalSrcIdx = 60;
	  section.data(61).dtTransOffset = 67;
	
	  ;% rtP.Antagonistsignal_PhaseDelay
	  section.data(62).logicalSrcIdx = 61;
	  section.data(62).dtTransOffset = 68;
	
	  ;% rtP.Constant1_Value_gmm3vtgsci
	  section.data(63).logicalSrcIdx = 62;
	  section.data(63).dtTransOffset = 69;
	
	  ;% rtP.u_Value
	  section.data(64).logicalSrcIdx = 63;
	  section.data(64).dtTransOffset = 70;
	
	  ;% rtP.u_Value_puyaicdqcr
	  section.data(65).logicalSrcIdx = 64;
	  section.data(65).dtTransOffset = 71;
	
	  ;% rtP.Constant_Value_fmgxt5d2cm
	  section.data(66).logicalSrcIdx = 65;
	  section.data(66).dtTransOffset = 72;
	
	  ;% rtP.DeadZone_Start
	  section.data(67).logicalSrcIdx = 66;
	  section.data(67).dtTransOffset = 73;
	
	  ;% rtP.DeadZone_End
	  section.data(68).logicalSrcIdx = 67;
	  section.data(68).dtTransOffset = 74;
	
	  ;% rtP.Gain2_Gain
	  section.data(69).logicalSrcIdx = 68;
	  section.data(69).dtTransOffset = 75;
	
	  ;% rtP.Merge_InitialOutput
	  section.data(70).logicalSrcIdx = 69;
	  section.data(70).dtTransOffset = 76;
	
	  ;% rtP.Gain1_Gain
	  section.data(71).logicalSrcIdx = 70;
	  section.data(71).dtTransOffset = 77;
	
	  ;% rtP.Constant_Value_pwldezlbwh
	  section.data(72).logicalSrcIdx = 71;
	  section.data(72).dtTransOffset = 78;
	
	  ;% rtP.Gain_Gain_inbizvofh5
	  section.data(73).logicalSrcIdx = 72;
	  section.data(73).dtTransOffset = 79;
	
	  ;% rtP.Merge1_InitialOutput
	  section.data(74).logicalSrcIdx = 73;
	  section.data(74).dtTransOffset = 80;
	
	  ;% rtP.Penaltyfailedtohit_Value
	  section.data(75).logicalSrcIdx = 74;
	  section.data(75).dtTransOffset = 81;
	
	  ;% rtP.Switch_Threshold
	  section.data(76).logicalSrcIdx = 75;
	  section.data(76).dtTransOffset = 82;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(1) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (parameter)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    paramMap.nTotData = nTotData;
    


  ;%**************************
  ;% Create Block Output Map *
  ;%**************************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 2;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc sigMap
    ;%
    sigMap.nSections           = nTotSects;
    sigMap.sectIdxOffset       = sectIdxOffset;
      sigMap.sections(nTotSects) = dumSection; %prealloc
    sigMap.nTotData            = -1;
    
    ;%
    ;% Auto data (rtB)
    ;%
      section.nData     = 95;
      section.data(95)  = dumData; %prealloc
      
	  ;% rtB.bhpb2dvpp3
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.g1wwarzxqu
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 2;
	
	  ;% rtB.j4b4dlidnd
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 3;
	
	  ;% rtB.ffkfmqmib4
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 4;
	
	  ;% rtB.cnd4a0ywbu
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 5;
	
	  ;% rtB.lg2yozrzfy
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 6;
	
	  ;% rtB.azfilu1oz3
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 7;
	
	  ;% rtB.acaxiwl5f3
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 8;
	
	  ;% rtB.fqcimd4vib
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 9;
	
	  ;% rtB.lw3iu32tom
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 10;
	
	  ;% rtB.jgtkvkn2a3
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 11;
	
	  ;% rtB.nzmot1eucf
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 12;
	
	  ;% rtB.ptkiczk2vw
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 13;
	
	  ;% rtB.ng2tca2qig
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 14;
	
	  ;% rtB.oaw1eysefu
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 15;
	
	  ;% rtB.dkhb1g3uk2
	  section.data(16).logicalSrcIdx = 15;
	  section.data(16).dtTransOffset = 27;
	
	  ;% rtB.oirs135cyq
	  section.data(17).logicalSrcIdx = 16;
	  section.data(17).dtTransOffset = 49;
	
	  ;% rtB.dxw5unmemm
	  section.data(18).logicalSrcIdx = 17;
	  section.data(18).dtTransOffset = 50;
	
	  ;% rtB.bk01d3421a
	  section.data(19).logicalSrcIdx = 18;
	  section.data(19).dtTransOffset = 51;
	
	  ;% rtB.lcum0f1yzq
	  section.data(20).logicalSrcIdx = 19;
	  section.data(20).dtTransOffset = 52;
	
	  ;% rtB.a0ravldnd5
	  section.data(21).logicalSrcIdx = 20;
	  section.data(21).dtTransOffset = 53;
	
	  ;% rtB.ddf5weqqxh
	  section.data(22).logicalSrcIdx = 21;
	  section.data(22).dtTransOffset = 54;
	
	  ;% rtB.enehfixmbf
	  section.data(23).logicalSrcIdx = 22;
	  section.data(23).dtTransOffset = 55;
	
	  ;% rtB.dltpuuez3p
	  section.data(24).logicalSrcIdx = 23;
	  section.data(24).dtTransOffset = 56;
	
	  ;% rtB.hknddjbcya
	  section.data(25).logicalSrcIdx = 24;
	  section.data(25).dtTransOffset = 57;
	
	  ;% rtB.jybpri32es
	  section.data(26).logicalSrcIdx = 25;
	  section.data(26).dtTransOffset = 58;
	
	  ;% rtB.obckf3tx3n
	  section.data(27).logicalSrcIdx = 26;
	  section.data(27).dtTransOffset = 59;
	
	  ;% rtB.pndpkympxv
	  section.data(28).logicalSrcIdx = 27;
	  section.data(28).dtTransOffset = 60;
	
	  ;% rtB.bv1nxloayu
	  section.data(29).logicalSrcIdx = 28;
	  section.data(29).dtTransOffset = 61;
	
	  ;% rtB.lkidmpnzm3
	  section.data(30).logicalSrcIdx = 29;
	  section.data(30).dtTransOffset = 62;
	
	  ;% rtB.lfj33tlvhv
	  section.data(31).logicalSrcIdx = 30;
	  section.data(31).dtTransOffset = 63;
	
	  ;% rtB.jvcmeesayb
	  section.data(32).logicalSrcIdx = 31;
	  section.data(32).dtTransOffset = 64;
	
	  ;% rtB.f155hqiy51
	  section.data(33).logicalSrcIdx = 32;
	  section.data(33).dtTransOffset = 68;
	
	  ;% rtB.ezqhral2zf
	  section.data(34).logicalSrcIdx = 33;
	  section.data(34).dtTransOffset = 69;
	
	  ;% rtB.lgeftqg1v2
	  section.data(35).logicalSrcIdx = 34;
	  section.data(35).dtTransOffset = 70;
	
	  ;% rtB.dmbfswqcfr
	  section.data(36).logicalSrcIdx = 35;
	  section.data(36).dtTransOffset = 71;
	
	  ;% rtB.km0glefxt3
	  section.data(37).logicalSrcIdx = 36;
	  section.data(37).dtTransOffset = 72;
	
	  ;% rtB.dxtj5vmuky
	  section.data(38).logicalSrcIdx = 37;
	  section.data(38).dtTransOffset = 73;
	
	  ;% rtB.gv02hfb5em
	  section.data(39).logicalSrcIdx = 38;
	  section.data(39).dtTransOffset = 74;
	
	  ;% rtB.gqssabhyzg
	  section.data(40).logicalSrcIdx = 39;
	  section.data(40).dtTransOffset = 75;
	
	  ;% rtB.kx55es4mfd
	  section.data(41).logicalSrcIdx = 40;
	  section.data(41).dtTransOffset = 76;
	
	  ;% rtB.lizpk2b4uw
	  section.data(42).logicalSrcIdx = 41;
	  section.data(42).dtTransOffset = 77;
	
	  ;% rtB.m1bkcpwqiw
	  section.data(43).logicalSrcIdx = 42;
	  section.data(43).dtTransOffset = 81;
	
	  ;% rtB.ovtibeh1d0
	  section.data(44).logicalSrcIdx = 43;
	  section.data(44).dtTransOffset = 82;
	
	  ;% rtB.lne41ncyjt
	  section.data(45).logicalSrcIdx = 44;
	  section.data(45).dtTransOffset = 86;
	
	  ;% rtB.khnnoboyvh
	  section.data(46).logicalSrcIdx = 45;
	  section.data(46).dtTransOffset = 87;
	
	  ;% rtB.otp04ddd2k
	  section.data(47).logicalSrcIdx = 46;
	  section.data(47).dtTransOffset = 88;
	
	  ;% rtB.ntxdrltybo
	  section.data(48).logicalSrcIdx = 47;
	  section.data(48).dtTransOffset = 89;
	
	  ;% rtB.pisp2otaoh
	  section.data(49).logicalSrcIdx = 48;
	  section.data(49).dtTransOffset = 90;
	
	  ;% rtB.b0otiiurvg
	  section.data(50).logicalSrcIdx = 49;
	  section.data(50).dtTransOffset = 91;
	
	  ;% rtB.gcpiprsbxc
	  section.data(51).logicalSrcIdx = 50;
	  section.data(51).dtTransOffset = 92;
	
	  ;% rtB.orna5w35wg
	  section.data(52).logicalSrcIdx = 51;
	  section.data(52).dtTransOffset = 93;
	
	  ;% rtB.kbz50beppj
	  section.data(53).logicalSrcIdx = 52;
	  section.data(53).dtTransOffset = 94;
	
	  ;% rtB.gi0tajlidf
	  section.data(54).logicalSrcIdx = 53;
	  section.data(54).dtTransOffset = 96;
	
	  ;% rtB.fw5lgjovg4
	  section.data(55).logicalSrcIdx = 54;
	  section.data(55).dtTransOffset = 102;
	
	  ;% rtB.lqse4ynrzm
	  section.data(56).logicalSrcIdx = 55;
	  section.data(56).dtTransOffset = 105;
	
	  ;% rtB.ff3f3afyqu
	  section.data(57).logicalSrcIdx = 56;
	  section.data(57).dtTransOffset = 109;
	
	  ;% rtB.haudqwjsvt
	  section.data(58).logicalSrcIdx = 57;
	  section.data(58).dtTransOffset = 113;
	
	  ;% rtB.jd4ipbkqcn
	  section.data(59).logicalSrcIdx = 58;
	  section.data(59).dtTransOffset = 117;
	
	  ;% rtB.ho1b12vbc2
	  section.data(60).logicalSrcIdx = 59;
	  section.data(60).dtTransOffset = 121;
	
	  ;% rtB.nmrci2eo0u
	  section.data(61).logicalSrcIdx = 60;
	  section.data(61).dtTransOffset = 124;
	
	  ;% rtB.k23nignzth
	  section.data(62).logicalSrcIdx = 61;
	  section.data(62).dtTransOffset = 128;
	
	  ;% rtB.obhhsomhmg
	  section.data(63).logicalSrcIdx = 62;
	  section.data(63).dtTransOffset = 132;
	
	  ;% rtB.ln4c1feyoz
	  section.data(64).logicalSrcIdx = 63;
	  section.data(64).dtTransOffset = 136;
	
	  ;% rtB.c2smay1wnk
	  section.data(65).logicalSrcIdx = 64;
	  section.data(65).dtTransOffset = 140;
	
	  ;% rtB.phlju0ch3w
	  section.data(66).logicalSrcIdx = 65;
	  section.data(66).dtTransOffset = 141;
	
	  ;% rtB.kncqty2hty
	  section.data(67).logicalSrcIdx = 66;
	  section.data(67).dtTransOffset = 143;
	
	  ;% rtB.p4zys2fkma
	  section.data(68).logicalSrcIdx = 67;
	  section.data(68).dtTransOffset = 147;
	
	  ;% rtB.jvwqdmto1x
	  section.data(69).logicalSrcIdx = 68;
	  section.data(69).dtTransOffset = 148;
	
	  ;% rtB.ijclnjata3
	  section.data(70).logicalSrcIdx = 69;
	  section.data(70).dtTransOffset = 149;
	
	  ;% rtB.dn2eeflde4
	  section.data(71).logicalSrcIdx = 70;
	  section.data(71).dtTransOffset = 150;
	
	  ;% rtB.demqnvvopw
	  section.data(72).logicalSrcIdx = 71;
	  section.data(72).dtTransOffset = 151;
	
	  ;% rtB.eu52xasafz
	  section.data(73).logicalSrcIdx = 72;
	  section.data(73).dtTransOffset = 152;
	
	  ;% rtB.klwwh1rt5y
	  section.data(74).logicalSrcIdx = 73;
	  section.data(74).dtTransOffset = 153;
	
	  ;% rtB.dvamdxl0x3
	  section.data(75).logicalSrcIdx = 74;
	  section.data(75).dtTransOffset = 154;
	
	  ;% rtB.hrh50kmxao
	  section.data(76).logicalSrcIdx = 75;
	  section.data(76).dtTransOffset = 155;
	
	  ;% rtB.ased5x5frn
	  section.data(77).logicalSrcIdx = 76;
	  section.data(77).dtTransOffset = 156;
	
	  ;% rtB.omnibro2dp
	  section.data(78).logicalSrcIdx = 77;
	  section.data(78).dtTransOffset = 157;
	
	  ;% rtB.duw30np3p4
	  section.data(79).logicalSrcIdx = 78;
	  section.data(79).dtTransOffset = 158;
	
	  ;% rtB.k0nqph0ofz
	  section.data(80).logicalSrcIdx = 79;
	  section.data(80).dtTransOffset = 159;
	
	  ;% rtB.lxpmqcshqb
	  section.data(81).logicalSrcIdx = 80;
	  section.data(81).dtTransOffset = 160;
	
	  ;% rtB.oz5sen2cqn
	  section.data(82).logicalSrcIdx = 81;
	  section.data(82).dtTransOffset = 161;
	
	  ;% rtB.pvrh0j2hcu
	  section.data(83).logicalSrcIdx = 82;
	  section.data(83).dtTransOffset = 162;
	
	  ;% rtB.k4y1faj3l4
	  section.data(84).logicalSrcIdx = 83;
	  section.data(84).dtTransOffset = 163;
	
	  ;% rtB.poxbb1abbg
	  section.data(85).logicalSrcIdx = 84;
	  section.data(85).dtTransOffset = 164;
	
	  ;% rtB.hkgyogfg4u
	  section.data(86).logicalSrcIdx = 85;
	  section.data(86).dtTransOffset = 165;
	
	  ;% rtB.h042zqh0s4
	  section.data(87).logicalSrcIdx = 86;
	  section.data(87).dtTransOffset = 166;
	
	  ;% rtB.aflsggcafr
	  section.data(88).logicalSrcIdx = 87;
	  section.data(88).dtTransOffset = 168;
	
	  ;% rtB.aoxyesm2hl
	  section.data(89).logicalSrcIdx = 88;
	  section.data(89).dtTransOffset = 170;
	
	  ;% rtB.n1hec2ya3v
	  section.data(90).logicalSrcIdx = 89;
	  section.data(90).dtTransOffset = 171;
	
	  ;% rtB.el1gzliv0x
	  section.data(91).logicalSrcIdx = 90;
	  section.data(91).dtTransOffset = 172;
	
	  ;% rtB.cchbj1pjnr
	  section.data(92).logicalSrcIdx = 91;
	  section.data(92).dtTransOffset = 173;
	
	  ;% rtB.fcti3g1e1q
	  section.data(93).logicalSrcIdx = 92;
	  section.data(93).dtTransOffset = 175;
	
	  ;% rtB.phtz1bri3h
	  section.data(94).logicalSrcIdx = 93;
	  section.data(94).dtTransOffset = 177;
	
	  ;% rtB.dzojlhjhgl
	  section.data(95).logicalSrcIdx = 94;
	  section.data(95).dtTransOffset = 178;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(1) = section;
      clear section
      
      section.nData     = 4;
      section.data(4)  = dumData; %prealloc
      
	  ;% rtB.fb0jzz1kwz
	  section.data(1).logicalSrcIdx = 95;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.ebzzunjuhk
	  section.data(2).logicalSrcIdx = 96;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtB.nfnmf5y0gd
	  section.data(3).logicalSrcIdx = 97;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtB.dtznv1ysnm
	  section.data(4).logicalSrcIdx = 98;
	  section.data(4).dtTransOffset = 3;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(2) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (signal)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    sigMap.nTotData = nTotData;
    


  ;%*******************
  ;% Create DWork Map *
  ;%*******************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 10;
    sectIdxOffset = 2;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc dworkMap
    ;%
    dworkMap.nSections           = nTotSects;
    dworkMap.sectIdxOffset       = sectIdxOffset;
      dworkMap.sections(nTotSects) = dumSection; %prealloc
    dworkMap.nTotData            = -1;
    
    ;%
    ;% Auto data (rtDW)
    ;%
      section.nData     = 21;
      section.data(21)  = dumData; %prealloc
      
	  ;% rtDW.erbaocori4
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.mcbqnbqhl3
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 2;
	
	  ;% rtDW.ff0yaavswf
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 4;
	
	  ;% rtDW.mdxaxhgpil
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 6;
	
	  ;% rtDW.f2hd5u3msb
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 8;
	
	  ;% rtDW.cx1gri5vnc
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 10;
	
	  ;% rtDW.gbyz0o1v5q
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 12;
	
	  ;% rtDW.axbnvsnkdb
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 14;
	
	  ;% rtDW.ipyimz5lz3
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 16;
	
	  ;% rtDW.lwpz4sngkt
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 18;
	
	  ;% rtDW.giajvggdjk
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 20;
	
	  ;% rtDW.gu5ugrrwxs
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 22;
	
	  ;% rtDW.etqfqz3gyg
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 24;
	
	  ;% rtDW.bw3zazxffe
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 25;
	
	  ;% rtDW.dhtuvbjzws
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 26;
	
	  ;% rtDW.dmwj50x0ph
	  section.data(16).logicalSrcIdx = 15;
	  section.data(16).dtTransOffset = 27;
	
	  ;% rtDW.hyrr0kb32e
	  section.data(17).logicalSrcIdx = 16;
	  section.data(17).dtTransOffset = 28;
	
	  ;% rtDW.d3tsxxr25j
	  section.data(18).logicalSrcIdx = 17;
	  section.data(18).dtTransOffset = 29;
	
	  ;% rtDW.n1yz4tjnws
	  section.data(19).logicalSrcIdx = 18;
	  section.data(19).dtTransOffset = 30;
	
	  ;% rtDW.bjcppn1thz
	  section.data(20).logicalSrcIdx = 19;
	  section.data(20).dtTransOffset = 31;
	
	  ;% rtDW.mvmlg1keqv
	  section.data(21).logicalSrcIdx = 20;
	  section.data(21).dtTransOffset = 32;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(1) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtDW.kez34bff0k
	  section.data(1).logicalSrcIdx = 21;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.dmotnorrwz
	  section.data(2).logicalSrcIdx = 22;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(2) = section;
      clear section
      
      section.nData     = 3;
      section.data(3)  = dumData; %prealloc
      
	  ;% rtDW.powhgkaspu.modelTStart
	  section.data(1).logicalSrcIdx = 23;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.d1vz1jod1g.modelTStart
	  section.data(2).logicalSrcIdx = 24;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.awenf3iiys.modelTStart
	  section.data(3).logicalSrcIdx = 25;
	  section.data(3).dtTransOffset = 2;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(3) = section;
      clear section
      
      section.nData     = 74;
      section.data(74)  = dumData; %prealloc
      
	  ;% rtDW.ofhkw1fpiv
	  section.data(1).logicalSrcIdx = 26;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.am02jbgyuo
	  section.data(2).logicalSrcIdx = 27;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.gz11pk43kf
	  section.data(3).logicalSrcIdx = 28;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.pjptasxtan
	  section.data(4).logicalSrcIdx = 29;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtDW.di0khhegll
	  section.data(5).logicalSrcIdx = 30;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtDW.knbm3jrdjc
	  section.data(6).logicalSrcIdx = 31;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtDW.eoputmkb5y
	  section.data(7).logicalSrcIdx = 32;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtDW.otakt00evh
	  section.data(8).logicalSrcIdx = 33;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtDW.imf1j3o3pw
	  section.data(9).logicalSrcIdx = 34;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtDW.awts1lyqav
	  section.data(10).logicalSrcIdx = 35;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtDW.mvtc05kxt0.TUbufferPtrs
	  section.data(11).logicalSrcIdx = 36;
	  section.data(11).dtTransOffset = 10;
	
	  ;% rtDW.fe531iiqaq.TUbufferPtrs
	  section.data(12).logicalSrcIdx = 37;
	  section.data(12).dtTransOffset = 12;
	
	  ;% rtDW.g3fwyfyuwt.TUbufferPtrs
	  section.data(13).logicalSrcIdx = 38;
	  section.data(13).dtTransOffset = 14;
	
	  ;% rtDW.ep1wb3gqvb
	  section.data(14).logicalSrcIdx = 39;
	  section.data(14).dtTransOffset = 16;
	
	  ;% rtDW.k5nthuztl1
	  section.data(15).logicalSrcIdx = 40;
	  section.data(15).dtTransOffset = 17;
	
	  ;% rtDW.b4v4mhacua
	  section.data(16).logicalSrcIdx = 41;
	  section.data(16).dtTransOffset = 18;
	
	  ;% rtDW.cjsy1a0nrq
	  section.data(17).logicalSrcIdx = 42;
	  section.data(17).dtTransOffset = 19;
	
	  ;% rtDW.ah4pco4fe2
	  section.data(18).logicalSrcIdx = 43;
	  section.data(18).dtTransOffset = 20;
	
	  ;% rtDW.mnbjkabvjc
	  section.data(19).logicalSrcIdx = 44;
	  section.data(19).dtTransOffset = 21;
	
	  ;% rtDW.kajpu01vmz
	  section.data(20).logicalSrcIdx = 45;
	  section.data(20).dtTransOffset = 22;
	
	  ;% rtDW.ez0yeisdgv
	  section.data(21).logicalSrcIdx = 46;
	  section.data(21).dtTransOffset = 23;
	
	  ;% rtDW.n1lthqxm04
	  section.data(22).logicalSrcIdx = 47;
	  section.data(22).dtTransOffset = 24;
	
	  ;% rtDW.amc3kdxiqw
	  section.data(23).logicalSrcIdx = 48;
	  section.data(23).dtTransOffset = 25;
	
	  ;% rtDW.cofxnn2uuf.SignalProbe
	  section.data(24).logicalSrcIdx = 49;
	  section.data(24).dtTransOffset = 26;
	
	  ;% rtDW.mpcwpukrok.SignalProbe
	  section.data(25).logicalSrcIdx = 50;
	  section.data(25).dtTransOffset = 27;
	
	  ;% rtDW.el1dvatmtk.SignalProbe
	  section.data(26).logicalSrcIdx = 51;
	  section.data(26).dtTransOffset = 28;
	
	  ;% rtDW.hntxrt0njy.SignalProbe
	  section.data(27).logicalSrcIdx = 52;
	  section.data(27).dtTransOffset = 29;
	
	  ;% rtDW.hlpe0svrbm.LoggedData
	  section.data(28).logicalSrcIdx = 53;
	  section.data(28).dtTransOffset = 30;
	
	  ;% rtDW.efnax5sc0v.LoggedData
	  section.data(29).logicalSrcIdx = 54;
	  section.data(29).dtTransOffset = 33;
	
	  ;% rtDW.bxcvtlkuel.LoggedData
	  section.data(30).logicalSrcIdx = 55;
	  section.data(30).dtTransOffset = 35;
	
	  ;% rtDW.jl2icbilbs.LoggedData
	  section.data(31).logicalSrcIdx = 56;
	  section.data(31).dtTransOffset = 36;
	
	  ;% rtDW.oxtcgwxouf
	  section.data(32).logicalSrcIdx = 57;
	  section.data(32).dtTransOffset = 37;
	
	  ;% rtDW.lcb3qr2m3y
	  section.data(33).logicalSrcIdx = 58;
	  section.data(33).dtTransOffset = 38;
	
	  ;% rtDW.nemicy3omd
	  section.data(34).logicalSrcIdx = 59;
	  section.data(34).dtTransOffset = 39;
	
	  ;% rtDW.mnbwstsmpu
	  section.data(35).logicalSrcIdx = 60;
	  section.data(35).dtTransOffset = 40;
	
	  ;% rtDW.h5rqlpgqwr
	  section.data(36).logicalSrcIdx = 61;
	  section.data(36).dtTransOffset = 41;
	
	  ;% rtDW.aj0rcrzpxy
	  section.data(37).logicalSrcIdx = 62;
	  section.data(37).dtTransOffset = 42;
	
	  ;% rtDW.io3q1sfthu
	  section.data(38).logicalSrcIdx = 63;
	  section.data(38).dtTransOffset = 43;
	
	  ;% rtDW.kd0bfuzule
	  section.data(39).logicalSrcIdx = 64;
	  section.data(39).dtTransOffset = 44;
	
	  ;% rtDW.dz0mi2zzob
	  section.data(40).logicalSrcIdx = 65;
	  section.data(40).dtTransOffset = 45;
	
	  ;% rtDW.mv0r0vhsb5
	  section.data(41).logicalSrcIdx = 66;
	  section.data(41).dtTransOffset = 46;
	
	  ;% rtDW.addvjqs5hf.LoggedData
	  section.data(42).logicalSrcIdx = 67;
	  section.data(42).dtTransOffset = 47;
	
	  ;% rtDW.ee3g5xwvjl.LoggedData
	  section.data(43).logicalSrcIdx = 68;
	  section.data(43).dtTransOffset = 48;
	
	  ;% rtDW.nhpmhtywos.LoggedData
	  section.data(44).logicalSrcIdx = 69;
	  section.data(44).dtTransOffset = 49;
	
	  ;% rtDW.glmeghwshg.LoggedData
	  section.data(45).logicalSrcIdx = 70;
	  section.data(45).dtTransOffset = 50;
	
	  ;% rtDW.iu3nj0prh5.LoggedData
	  section.data(46).logicalSrcIdx = 71;
	  section.data(46).dtTransOffset = 51;
	
	  ;% rtDW.flavzvkahy.LoggedData
	  section.data(47).logicalSrcIdx = 72;
	  section.data(47).dtTransOffset = 52;
	
	  ;% rtDW.eaz1lwdqda.AQHandles
	  section.data(48).logicalSrcIdx = 73;
	  section.data(48).dtTransOffset = 53;
	
	  ;% rtDW.dk2fn24cmw.LoggedData
	  section.data(49).logicalSrcIdx = 74;
	  section.data(49).dtTransOffset = 54;
	
	  ;% rtDW.eeff4hdnpa.LoggedData
	  section.data(50).logicalSrcIdx = 75;
	  section.data(50).dtTransOffset = 55;
	
	  ;% rtDW.mslro0vvic.LoggedData
	  section.data(51).logicalSrcIdx = 76;
	  section.data(51).dtTransOffset = 56;
	
	  ;% rtDW.l0hzlzc4n2.LoggedData
	  section.data(52).logicalSrcIdx = 77;
	  section.data(52).dtTransOffset = 58;
	
	  ;% rtDW.htnghlqgvc.LoggedData
	  section.data(53).logicalSrcIdx = 78;
	  section.data(53).dtTransOffset = 59;
	
	  ;% rtDW.eaz1lwdqdal.AQHandles
	  section.data(54).logicalSrcIdx = 79;
	  section.data(54).dtTransOffset = 60;
	
	  ;% rtDW.fzompojwin
	  section.data(55).logicalSrcIdx = 80;
	  section.data(55).dtTransOffset = 61;
	
	  ;% rtDW.ieexcc1qxa
	  section.data(56).logicalSrcIdx = 81;
	  section.data(56).dtTransOffset = 62;
	
	  ;% rtDW.cswimbe54a
	  section.data(57).logicalSrcIdx = 82;
	  section.data(57).dtTransOffset = 63;
	
	  ;% rtDW.ihsr0pqa0r
	  section.data(58).logicalSrcIdx = 83;
	  section.data(58).dtTransOffset = 64;
	
	  ;% rtDW.dk0pah35h0
	  section.data(59).logicalSrcIdx = 84;
	  section.data(59).dtTransOffset = 65;
	
	  ;% rtDW.ff3u5dh44z
	  section.data(60).logicalSrcIdx = 85;
	  section.data(60).dtTransOffset = 66;
	
	  ;% rtDW.kgn1cgokrz
	  section.data(61).logicalSrcIdx = 86;
	  section.data(61).dtTransOffset = 67;
	
	  ;% rtDW.krl0mcgdu2
	  section.data(62).logicalSrcIdx = 87;
	  section.data(62).dtTransOffset = 68;
	
	  ;% rtDW.fn3ynsdnxs
	  section.data(63).logicalSrcIdx = 88;
	  section.data(63).dtTransOffset = 69;
	
	  ;% rtDW.op2ejgim53
	  section.data(64).logicalSrcIdx = 89;
	  section.data(64).dtTransOffset = 70;
	
	  ;% rtDW.klxr1iqso5
	  section.data(65).logicalSrcIdx = 90;
	  section.data(65).dtTransOffset = 71;
	
	  ;% rtDW.ljbsbxg20t
	  section.data(66).logicalSrcIdx = 91;
	  section.data(66).dtTransOffset = 72;
	
	  ;% rtDW.hvrt4tzdg3
	  section.data(67).logicalSrcIdx = 92;
	  section.data(67).dtTransOffset = 73;
	
	  ;% rtDW.gd0afhkkai
	  section.data(68).logicalSrcIdx = 93;
	  section.data(68).dtTransOffset = 74;
	
	  ;% rtDW.id5us3xiv3
	  section.data(69).logicalSrcIdx = 94;
	  section.data(69).dtTransOffset = 75;
	
	  ;% rtDW.n0m4jcoifm
	  section.data(70).logicalSrcIdx = 95;
	  section.data(70).dtTransOffset = 76;
	
	  ;% rtDW.phinmcokxq
	  section.data(71).logicalSrcIdx = 96;
	  section.data(71).dtTransOffset = 77;
	
	  ;% rtDW.gwhre3ynix
	  section.data(72).logicalSrcIdx = 97;
	  section.data(72).dtTransOffset = 78;
	
	  ;% rtDW.hcfe5glbha
	  section.data(73).logicalSrcIdx = 98;
	  section.data(73).dtTransOffset = 79;
	
	  ;% rtDW.kcs3pze1xs
	  section.data(74).logicalSrcIdx = 99;
	  section.data(74).dtTransOffset = 80;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(4) = section;
      clear section
      
      section.nData     = 4;
      section.data(4)  = dumData; %prealloc
      
	  ;% rtDW.kuveq4zuwp
	  section.data(1).logicalSrcIdx = 100;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.blppzjh4qi
	  section.data(2).logicalSrcIdx = 101;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.c12tpuo23h
	  section.data(3).logicalSrcIdx = 102;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.epanpl4bo5
	  section.data(4).logicalSrcIdx = 103;
	  section.data(4).dtTransOffset = 3;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(5) = section;
      clear section
      
      section.nData     = 3;
      section.data(3)  = dumData; %prealloc
      
	  ;% rtDW.gleto30nrn
	  section.data(1).logicalSrcIdx = 104;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.fjaw1ltyga
	  section.data(2).logicalSrcIdx = 105;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.pu0jjhcotu
	  section.data(3).logicalSrcIdx = 106;
	  section.data(3).dtTransOffset = 2;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(6) = section;
      clear section
      
      section.nData     = 21;
      section.data(21)  = dumData; %prealloc
      
	  ;% rtDW.gimqkbf2sb
	  section.data(1).logicalSrcIdx = 107;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.ghetnz132f.Tail
	  section.data(2).logicalSrcIdx = 108;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.mzs2owwteo.Tail
	  section.data(3).logicalSrcIdx = 109;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.njcfvqswzg.Tail
	  section.data(4).logicalSrcIdx = 110;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtDW.buwuj5xff3
	  section.data(5).logicalSrcIdx = 111;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtDW.kne5vma2eo
	  section.data(6).logicalSrcIdx = 112;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtDW.nu3jbog3i2
	  section.data(7).logicalSrcIdx = 113;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtDW.hfur0htjhx
	  section.data(8).logicalSrcIdx = 114;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtDW.c43hnhs1tt
	  section.data(9).logicalSrcIdx = 115;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtDW.h45q1yctgy
	  section.data(10).logicalSrcIdx = 116;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtDW.hsfrwxsya2
	  section.data(11).logicalSrcIdx = 117;
	  section.data(11).dtTransOffset = 10;
	
	  ;% rtDW.k1bl1fbklv
	  section.data(12).logicalSrcIdx = 118;
	  section.data(12).dtTransOffset = 11;
	
	  ;% rtDW.e25kemaqnj
	  section.data(13).logicalSrcIdx = 119;
	  section.data(13).dtTransOffset = 12;
	
	  ;% rtDW.csingavmu2
	  section.data(14).logicalSrcIdx = 120;
	  section.data(14).dtTransOffset = 13;
	
	  ;% rtDW.b4jf3ud3ai
	  section.data(15).logicalSrcIdx = 121;
	  section.data(15).dtTransOffset = 14;
	
	  ;% rtDW.jdv5kllov0
	  section.data(16).logicalSrcIdx = 122;
	  section.data(16).dtTransOffset = 15;
	
	  ;% rtDW.lhqsqhxrqp
	  section.data(17).logicalSrcIdx = 123;
	  section.data(17).dtTransOffset = 16;
	
	  ;% rtDW.ozvgyexdyx
	  section.data(18).logicalSrcIdx = 124;
	  section.data(18).dtTransOffset = 17;
	
	  ;% rtDW.dxaou25ip4
	  section.data(19).logicalSrcIdx = 125;
	  section.data(19).dtTransOffset = 18;
	
	  ;% rtDW.lhl4atwnmo
	  section.data(20).logicalSrcIdx = 126;
	  section.data(20).dtTransOffset = 19;
	
	  ;% rtDW.l2cypdvrzk
	  section.data(21).logicalSrcIdx = 127;
	  section.data(21).dtTransOffset = 20;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(7) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtDW.jg5tmg0ghy
	  section.data(1).logicalSrcIdx = 128;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(8) = section;
      clear section
      
      section.nData     = 3;
      section.data(3)  = dumData; %prealloc
      
	  ;% rtDW.emonwegfxm
	  section.data(1).logicalSrcIdx = 129;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.m2opywpxzx
	  section.data(2).logicalSrcIdx = 130;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.gkndwqqs1r
	  section.data(3).logicalSrcIdx = 131;
	  section.data(3).dtTransOffset = 2;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(9) = section;
      clear section
      
      section.nData     = 11;
      section.data(11)  = dumData; %prealloc
      
	  ;% rtDW.ozklryyarx
	  section.data(1).logicalSrcIdx = 132;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.aowsrkreo0
	  section.data(2).logicalSrcIdx = 133;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.eoaufgxytg
	  section.data(3).logicalSrcIdx = 134;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.mgy1wyafxu
	  section.data(4).logicalSrcIdx = 135;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtDW.dmazg2jkor
	  section.data(5).logicalSrcIdx = 136;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtDW.dnlbaqb4jy
	  section.data(6).logicalSrcIdx = 137;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtDW.lxpv4jpnu4
	  section.data(7).logicalSrcIdx = 138;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtDW.hhw0nrbmme
	  section.data(8).logicalSrcIdx = 139;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtDW.lmphgrd0se
	  section.data(9).logicalSrcIdx = 140;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtDW.ggewg0fkuq
	  section.data(10).logicalSrcIdx = 141;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtDW.ffh01ooqox
	  section.data(11).logicalSrcIdx = 142;
	  section.data(11).dtTransOffset = 10;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(10) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (dwork)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    dworkMap.nTotData = nTotData;
    


  ;%
  ;% Add individual maps to base struct.
  ;%

  targMap.paramMap  = paramMap;    
  targMap.signalMap = sigMap;
  targMap.dworkMap  = dworkMap;
  
  ;%
  ;% Add checksums to base struct.
  ;%


  targMap.checksum0 = 550607118;
  targMap.checksum1 = 4147630434;
  targMap.checksum2 = 2467555291;
  targMap.checksum3 = 123086870;

